
import 'dart:async';

import 'package:flutter/services.dart';

export 'package:safexpay/PaymentMode.dart';
export 'package:safexpay/internet_connectivity.dart';
export 'package:safexpay/login_screen.dart';
export 'package:safexpay/observer/safeXPay_payment_callback.dart';
export 'package:safexpay/observer/safeXPay_payment_callback_observable.dart';
export 'package:safexpay/safex_pay.dart';
export 'package:safexpay/merchant_hosted_safexpay.dart';
export 'package:safexpay/widgets/border_text_field.dart';

export 'AppHeader.dart';
export 'constants/constants.dart';
export 'constants/keyword_constants.dart';
export 'constants/merchant_constants.dart';
export 'constants/utility.dart';
export 'screen_1.dart';

class Safexpay {
  static const MethodChannel _channel =
      const MethodChannel('safexpay');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
